| Version: 3.3.1

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
wxAuiDefaultDockArt Class Reference

`#include <wx/aui/dockart.h>`

Inheritance diagram for wxAuiDefaultDockArt:
[legend]

## Detailed Description

This is the default art provider for wxAuiManager.

Dock art can be customized by creating a class derived from this one, or replacing this class entirely.

## Public Member Functions
| wxAuiDefaultDockArt ()
virtual wxAuiDockArt * | Clone ()
| Create a copy of this wxAuiDockArt instance. More...
int | GetMetric (int metricId)
| Get the value of a certain setting. More...
void | SetMetric (int metricId, int newVal)
| Set a certain setting with the value new_val. More...
wxColour | GetColour (int id)
| Get the colour of a certain setting. More...
void | SetColour (int id, const wxColour &colour)
| Set a certain setting with the value colour. More...
void | SetFont (int id, const wxFont &font)
| Set a font setting. More...
wxFont | GetFont (int id)
| Get a font setting. More...
void | DrawSash (wxDC &dc, wxWindow *window, int orientation, const wxRect &rect)
| Draws a sash between two windows. More...
void | DrawBackground (wxDC &dc, wxWindow *window, int orientation, const wxRect &rect)
| Draws a background. More...
void | DrawCaption (wxDC &dc, wxWindow *window, const wxString &text, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a caption. More...
void | DrawGripper (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a gripper. More...
void | DrawBorder (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a border. More...
void | DrawPaneButton (wxDC &dc, wxWindow *window, int button, int buttonState, const wxRect &rect, wxAuiPaneInfo &pane)
| Draws a button in the pane's title bar. More...
void | DrawIcon (wxDC &dc, const wxRect &rect, wxAuiPaneInfo &pane)
Public Member Functions inherited from wxAuiDockArt
| wxAuiDockArt ()
| Constructor. More...
virtual | ~wxAuiDockArt ()
| Destructor. More...
virtual int | GetMetricForWindow (int id, wxWindow *window)
| Get metric value scaled by the DPI of the given window if appropriate. More...

## Protected Member Functions
void | DrawCaptionBackground (wxDC &dc, const wxRect &rect, bool active)
void | DrawIcon (wxDC &dc, wxWindow *window, const wxRect &rect, wxAuiPaneInfo &pane)
void | InitBitmaps ()

## Protected Attributes
wxPen | m_borderPen
wxBrush | m_sashBrush
wxBrush | m_backgroundBrush
wxBrush | m_gripperBrush
wxFont | m_captionFont
wxBitmapBundle | m_inactiveCloseBitmap
wxBitmapBundle | m_inactivePinBitmap
wxBitmapBundle | m_inactiveMaximizeBitmap
wxBitmapBundle | m_inactiveRestoreBitmap
wxBitmapBundle | m_activeCloseBitmap
wxBitmapBundle | m_activePinBitmap
wxBitmapBundle | m_activeMaximizeBitmap
wxBitmapBundle | m_activeRestoreBitmap
wxPen | m_gripperPen1
wxPen | m_gripperPen2
wxPen | m_gripperPen3
wxColour | m_baseColour
wxColour | m_activeCaptionColour
wxColour | m_activeCaptionGradientColour
wxColour | m_activeCaptionTextColour
wxColour | m_inactiveCaptionColour
wxColour | m_inactiveCaptionGradientColour
wxColour | m_inactiveCaptionTextColour
int | m_borderSize
int | m_captionSize
int | m_sashSize
int | m_buttonSize
int | m_gripperSize
int | m_gradientType

## Constructor & Destructor Documentation

## ◆ wxAuiDefaultDockArt()

wxAuiDefaultDockArt::wxAuiDefaultDockArt | ( |  | ) |

## Member Function Documentation

## ◆ Clone()

virtual wxAuiDockArt* wxAuiDefaultDockArt::Clone | ( |  | ) |
| virtual

Create a copy of this wxAuiDockArt instance.

Implements wxAuiDockArt.

## ◆ DrawBackground()

void wxAuiDefaultDockArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | orientation,
|  | const wxRect & | rect
| ) |  |
| virtual

Draws a background.

Implements wxAuiDockArt.

## ◆ DrawBorder()

void wxAuiDefaultDockArt::DrawBorder | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |
| virtual

Draws a border.

Implements wxAuiDockArt.

## ◆ DrawCaption()

void wxAuiDefaultDockArt::DrawCaption | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxString & | text,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |
| virtual

Draws a caption.

Implements wxAuiDockArt.

## ◆ DrawCaptionBackground()

void wxAuiDefaultDockArt::DrawCaptionBackground | ( | wxDC & | dc,
|  | const wxRect & | rect,
|  | bool | active
| ) |  |
| protected

## ◆ DrawGripper()

void wxAuiDefaultDockArt::DrawGripper | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |
| virtual

Draws a gripper.

Implements wxAuiDockArt.

## ◆ DrawIcon() [1/2]

void wxAuiDefaultDockArt::DrawIcon | ( | wxDC & | dc,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |

Deprecated:
  Not intended for the public API.

## ◆ DrawIcon() [2/2]

void wxAuiDefaultDockArt::DrawIcon | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |
| protected

## ◆ DrawPaneButton()

void wxAuiDefaultDockArt::DrawPaneButton | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | button,
|  | int | button_state,
|  | const wxRect & | rect,
|  | wxAuiPaneInfo & | pane
| ) |  |
| virtual

Draws a button in the pane's title bar.

button can be one of the values of wxAuiButtonId. button_state can be one of the values of wxAuiPaneButtonState.

Implements wxAuiDockArt.

## ◆ DrawSash()

void wxAuiDefaultDockArt::DrawSash | ( | wxDC & | dc,
|  | wxWindow * | window,
|  | int | orientation,
|  | const wxRect & | rect
| ) |  |
| virtual

Draws a sash between two windows.

Implements wxAuiDockArt.

## ◆ GetColour()

wxColour wxAuiDefaultDockArt::GetColour | ( | int | id | ) |
| virtual

Get the colour of a certain setting.

id can be one of the colour values of wxAuiPaneDockArtSetting.

Implements wxAuiDockArt.

## ◆ GetFont()

wxFont wxAuiDefaultDockArt::GetFont | ( | int | id | ) |
| virtual

Get a font setting.

Implements wxAuiDockArt.

## ◆ GetMetric()

int wxAuiDefaultDockArt::GetMetric | ( | int | id | ) |
| virtual

Get the value of a certain setting.

id can be one of the size values of wxAuiPaneDockArtSetting.

This function returns the same value that was set by SetMetric(), use GetMetricForWindow() to get the value appropriate for the given window for metrics that express sizes.

Implements wxAuiDockArt.

## ◆ InitBitmaps()

void wxAuiDefaultDockArt::InitBitmaps | ( |  | ) |
| protected

## ◆ SetColour()

void wxAuiDefaultDockArt::SetColour | ( | int | id,
|  | const wxColour & | colour
| ) |  |
| virtual

Set a certain setting with the value colour.

id can be one of the colour values of wxAuiPaneDockArtSetting.

Implements wxAuiDockArt.

## ◆ SetFont()

void wxAuiDefaultDockArt::SetFont | ( | int | id,
|  | const wxFont & | font
| ) |  |
| virtual

Set a font setting.

Implements wxAuiDockArt.

## ◆ SetMetric()

void wxAuiDefaultDockArt::SetMetric | ( | int | id,
|  | int | new_val
| ) |  |
| virtual

Set a certain setting with the value new_val.

id can be one of the size values of wxAuiPaneDockArtSetting.

The interpretation of new_val depends on the metric being set, see GetMetricForWindow().

Implements wxAuiDockArt.

## Member Data Documentation

## ◆ m_activeCaptionColour

wxColour wxAuiDefaultDockArt::m_activeCaptionColour
| protected

## ◆ m_activeCaptionGradientColour

wxColour wxAuiDefaultDockArt::m_activeCaptionGradientColour
| protected

## ◆ m_activeCaptionTextColour

wxColour wxAuiDefaultDockArt::m_activeCaptionTextColour
| protected

## ◆ m_activeCloseBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_activeCloseBitmap
| protected

## ◆ m_activeMaximizeBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_activeMaximizeBitmap
| protected

## ◆ m_activePinBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_activePinBitmap
| protected

## ◆ m_activeRestoreBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_activeRestoreBitmap
| protected

## ◆ m_backgroundBrush

wxBrush wxAuiDefaultDockArt::m_backgroundBrush
| protected

## ◆ m_baseColour

wxColour wxAuiDefaultDockArt::m_baseColour
| protected

## ◆ m_borderPen

wxPen wxAuiDefaultDockArt::m_borderPen
| protected

## ◆ m_borderSize

int wxAuiDefaultDockArt::m_borderSize
| protected

## ◆ m_buttonSize

int wxAuiDefaultDockArt::m_buttonSize
| protected

## ◆ m_captionFont

wxFont wxAuiDefaultDockArt::m_captionFont
| protected

## ◆ m_captionSize

int wxAuiDefaultDockArt::m_captionSize
| protected

## ◆ m_gradientType

int wxAuiDefaultDockArt::m_gradientType
| protected

## ◆ m_gripperBrush

wxBrush wxAuiDefaultDockArt::m_gripperBrush
| protected

## ◆ m_gripperPen1

wxPen wxAuiDefaultDockArt::m_gripperPen1
| protected

## ◆ m_gripperPen2

wxPen wxAuiDefaultDockArt::m_gripperPen2
| protected

## ◆ m_gripperPen3

wxPen wxAuiDefaultDockArt::m_gripperPen3
| protected

## ◆ m_gripperSize

int wxAuiDefaultDockArt::m_gripperSize
| protected

## ◆ m_inactiveCaptionColour

wxColour wxAuiDefaultDockArt::m_inactiveCaptionColour
| protected

## ◆ m_inactiveCaptionGradientColour

wxColour wxAuiDefaultDockArt::m_inactiveCaptionGradientColour
| protected

## ◆ m_inactiveCaptionTextColour

wxColour wxAuiDefaultDockArt::m_inactiveCaptionTextColour
| protected

## ◆ m_inactiveCloseBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_inactiveCloseBitmap
| protected

## ◆ m_inactiveMaximizeBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_inactiveMaximizeBitmap
| protected

## ◆ m_inactivePinBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_inactivePinBitmap
| protected

## ◆ m_inactiveRestoreBitmap

wxBitmapBundle wxAuiDefaultDockArt::m_inactiveRestoreBitmap
| protected

## ◆ m_sashBrush

wxBrush wxAuiDefaultDockArt::m_sashBrush
| protected

## ◆ m_sashSize

int wxAuiDefaultDockArt::m_sashSize
| protected